SDL Library Documentation
Prev |  | Next

# SDL_JoystickNumButtons

## Name

SDL_JoystickNumButtons -- Get the number of joysitck buttons

## Synopsis

    #include "SDL.h"

``int SDL_JoystickNumButtons`(SDL_Joystick *joystick);`

## Description

Return the number of buttons available from a previously opened SDL_Joystick.

## Return Value

Number of buttons.

## See Also

`SDL_JoystickGetButton`, `SDL_JoystickOpen`

Prev | Home | Next
SDL_JoystickNumHats | Up | SDL_JoystickUpdate